geronimo-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Vamsavardhana Reddy <c1vams...@gmail.com>
Subject Re: [VOTE] Release Geronimo 2.1.6 - second attempt.
Date Thu, 01 Jul 2010 18:23:49 GMT
Rick,

I notice that using maven-2.0.9 to build the tag results in the following
build error.

C:\G\server\tags\geronimo-2.1.6>mvn install
[INFO] Scanning for projects...
[INFO]
------------------------------------------------------------------------
[ERROR] FATAL ERROR
[INFO]
------------------------------------------------------------------------
[INFO] Error building POM (may not be this project's POM).


Project ID: org.apache.geronimo:geronimo
POM Location: C:\G\server\tags\geronimo-2.1.6\pom.xml

Reason: The POM expression: ${version} could not be evaluated. Reason:
Expression value '${version}' references itself in
'org.apache.geronimo:geronimo:pom:2


[INFO]
------------------------------------------------------------------------
[INFO] Trace
org.apache.maven.reactor.MavenExecutionException: The POM expression:
${version} could not be evaluated. Reason: Expression value '${version}'
references its
        at org.apache.maven.DefaultMaven.getProjects(DefaultMaven.java:378)
        at org.apache.maven.DefaultMaven.doExecute(DefaultMaven.java:292)
        at org.apache.maven.DefaultMaven.execute(DefaultMaven.java:129)
        at org.apache.maven.cli.MavenCli.main(MavenCli.java:287)
        at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
        at
sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
        at
sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
        at java.lang.reflect.Method.invoke(Method.java:585)
        at
org.codehaus.classworlds.Launcher.launchEnhanced(Launcher.java:315)
        at org.codehaus.classworlds.Launcher.launch(Launcher.java:255)
        at
org.codehaus.classworlds.Launcher.mainWithExitCode(Launcher.java:430)
        at org.codehaus.classworlds.Launcher.main(Launcher.java:375)
Caused by: org.apache.maven.project.InvalidProjectModelException: The POM
expression: ${version} could not be evaluated. Reason: Expression value
'${version}
        at
org.apache.maven.project.DefaultMavenProjectBuilder.buildInternal(DefaultMavenProjectBuilder.java:882)
        at
org.apache.maven.project.DefaultMavenProjectBuilder.buildFromSourceFileInternal(DefaultMavenProjectBuilder.java:506)
        at
org.apache.maven.project.DefaultMavenProjectBuilder.build(DefaultMavenProjectBuilder.java:198)
        at org.apache.maven.DefaultMaven.getProject(DefaultMaven.java:583)
        at
org.apache.maven.DefaultMaven.collectProjects(DefaultMaven.java:461)
        at org.apache.maven.DefaultMaven.getProjects(DefaultMaven.java:365)
        ... 11 more
Caused by:
org.apache.maven.project.interpolation.ModelInterpolationException: The POM
expression: ${version} could not be evaluated. Reason: Expression valu
        at
org.apache.maven.project.interpolation.RegexBasedModelInterpolator.interpolateInternal(RegexBasedModelInterpolator.java:172)
        at
org.apache.maven.project.interpolation.RegexBasedModelInterpolator.interpolate(RegexBasedModelInterpolator.java:98)
        at
org.apache.maven.project.DefaultMavenProjectBuilder.processProjectLogic(DefaultMavenProjectBuilder.java:1016)
        at
org.apache.maven.project.DefaultMavenProjectBuilder.buildInternal(DefaultMavenProjectBuilder.java:878)
        ... 16 more
[INFO]
------------------------------------------------------------------------
[INFO] Total time: 1 second
[INFO] Finished at: Thu Jul 01 23:50:08 IST 2010
[INFO] Final Memory: 1M/4M
[INFO]
------------------------------------------------------------------------

Should we up the allowed maven versions in the root pom?


On Thu, Jul 1, 2010 at 11:48 PM, Rick McGuire <rickmcg@gmail.com> wrote:

> On 7/1/2010 9:22 AM, Donald Woods wrote:
>
>> Has the voting finished?  I didn't see a [RESULTS] reply yet...
>>
>>
>
> Sorry, I was waiting for the TCK results, and then got busy on some other
> tasks.  I probably won't be able to handle finishing up the release until
> Tuesday.
>
> Rick
>
>
>
>> -Donald
>>
>>
>> On 6/23/10 5:24 AM, Rick McGuire wrote:
>>
>>
>>> A release candidate for Geronimo 2.1.6 has been created and staged.
>>> This version is the same as the previous release candidate except for an
>>> upgrade to the spring framework dependency.
>>>
>>> The tag has been created here:
>>>
>>> https://svn.apache.org/repos/asf/geronimo/server/tags/geronimo-2.1.6
>>>
>>> The staging repo is here:
>>>
>>> https://repository.apache.org/content/repositories/orgapachegeronimo-008
>>>
>>> The main artifacts up for vote are the source release archives:
>>>
>>>
>>> https://repository.apache.org/content/repositories/orgapachegeronimo-008/org/apache/geronimo/geronimo/2.1.6/geronimo-2.1.6-source-release.tar.gz
>>>
>>>
>>> https://repository.apache.org/content/repositories/orgapachegeronimo-008/org/apache/geronimo/geronimo/2.1.6/geronimo-2.1.6-source-release.zip
>>>
>>> The distribution artifacts have been copied to a second staging
>>> repository for your convenience:
>>>
>>> http://people.apache.org/~rickmcguire/staging-repo/2.1.6/<http://people.apache.org/%7Erickmcguire/staging-repo/2.1.6/>
>>>
>>> We have to verify the binaries pass the tck, so the vote may be open for
>>> longer than the 72-hour minimum.
>>>
>>> [  ] +1 about time to push this out the door
>>> [  ]  0 no opinion
>>> [  ] -1 not this one  (please explain why)
>>>
>>> Rick
>>>
>>>
>>>
>>
>>
>
>


-- 
Vamsi

Mime
View raw message